Summary:	An X Window System game of falling jewel blocks
Name:		xjewel
Version:	1.6
Release: 10mdk
Copyright:	MIT
Group:		Games/Arcade
BuildRequires:	XFree86-devel

Source0:	ftp://ftp.x.org/R5contrib/xjewel-1.6.tar.bz2
Source1:	%{name}
Source2:	%{name}16.xpm.bz2
Source3:	%{name}32.xpm.bz2
Source4:	%{name}48.xpm.bz2

Patch0:		xjewel-1.6-imake.patch.bz2
Patch1:		xjewel-1.6-enhance.patch.bz2
Patch2:		xjewel-1.6-nobr.patch.bz2

BuildRoot:	%{_tmppath}/xjewel-root

%description
Xjewel is an X Window System game much like Domain/Jewelbox, Sega's Columns
and/or Tetris.

The point of the game is to move or rotate the blocks as they fall, to get
jewels in patterns of three when they come to rest.

%prep

%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/lib/games

make DESTDIR=$RPM_BUILD_ROOT install install.man

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_menudir}
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xjewel
/var/lib/games/xjewel.scores
/usr/X11R6/man/man1/xjewel.1x*
%{_menudir}/xjewel
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/*
%{_liconsdir}/*

%changelog

* Sat Dec 16 2000 Etienne Faure  <etienne@mandraksoft.com> 1.6-10mdk
- minor changes to make rpmlint happy

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.6-9mdk
- Macros
- %%{_update_menus} & %%{_clean_menus}
- Fix Title in Menu entry

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.6-8mdk
- automatically added BuildRequires

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.6-7mdk
- Corrected icons

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.6-6mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.6-5mdk
- Added menu entry

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 1.6-4mdk
- Release.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Thu May  6 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
